# $Revision: 1.25 $, $Date: 2009/11/28 16:02:10 $
Summary:	Rasqal RDF Query Library
Summary(pl.UTF-8):	Rasqal - biblitoteka zapytań RDF
Name:		rasqal
Version:	0.9.16
Release:	2
Epoch:		1
License:	LGPL v2.1+ or GPL v2+ or Apache v2.0+
Group:		Libraries
Source0:	http://download.librdf.org/source/%{name}-%{version}.tar.gz
# Source0-md5:	fca8706f2c4619e2fa3f8f42f8fc1e9d
URL:		http://librdf.org/rasqal/
BuildRequires:	automake >= 1:1.7
BuildRequires:	flex >= 2.5.31
BuildRequires:	gtk-doc
BuildRequires:	libraptor-devel >= 1.4.17
BuildRequires:	libxml2-devel >= 1:2.6.8
BuildRequires:	mpfr-devel
BuildRequires:	pcre-devel >= 3.9
BuildRequires:	pkgconfig
#BuildRequires:	redland-devel >= 0.9.6
BuildRequires:	rpmbuild(macros) >= 1.98
BuildRequires:	which
Requires:	libraptor >= 1.4.17
Requires:	libxml2 >= 1:2.6.8
Requires:	pcre >= 3.9
#Requires:	redland >= 0.9.6
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%undefine	__cxx

%description
RDF Query Language.

%description -l pl.UTF-8
Język zapytań RDF.

%package devel
Summary:	Header files for the Rasqal RDF query library
Summary(pl.UTF-8):	Pliki nagłówkowe do biblioteki zapytań RDF Rasqal
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	libraptor-devel >= 1.4.17
Requires:	libxml2-devel >= 1:2.6.8
Requires:	mpfr-devel
Requires:	pcre-devel >= 3.9
#Requires:	redland-devel >= 0.9.6

%description devel
Header files for the Rasqal RDF query library.

%description devel -l pl.UTF-8
Pliki nagłówkowe do biblioteki zapytań RDF Rasqal.

%package static
Summary:	Static Rasqal library
Summary(pl.UTF-8):	Statyczna biblioteka Rasqal
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static Rasqal library.

%description static -l pl.UTF-8
Statyczna biblioteka Rasqal.

%prep
%setup -q

%build
cp -f /usr/share/automake/config.* .
%configure \
	--enable-datatypes \
	--enable-release \
	--with-html-dir=%{_gtkdocdir} \
	--with-raptor=system \
	--with-triples-source=raptor
# don't use redland as triples-source, as it would cause linking loop

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog LICENSE.txt NEWS NOTICE README RELEASE.html
%attr(755,root,root) %{_bindir}/roqet
%attr(755,root,root) %{_libdir}/librasqal.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/librasqal.so.1
%{_mandir}/man1/roqet.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/rasqal-config
%attr(755,root,root) %{_libdir}/librasqal.so
%{_libdir}/librasqal.la
%{_includedir}/rasqal
%{_pkgconfigdir}/rasqal.pc
%{_mandir}/man1/rasqal-config.1*
%{_mandir}/man3/librasqal.3*
%{_gtkdocdir}/rasqal

%files static
%defattr(644,root,root,755)
%{_libdir}/librasqal.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: rasqal.spec,v $
Revision 1.25  2009/11/28 16:02:10  sparky
- %undefine __cxx - to prevent configure from looking for c++ compiler
- BR: gtk-doc, pkgconfig, which

Revision 1.24  2009/07/06 11:52:43  baggins
- rel 2

Revision 1.23  2008/08/25 16:11:33  qboosh
- updated to 0.9.16 (note: new soname)

Revision 1.22  2007/12/16 15:38:31  qboosh
- updated to 0.9.15

Revision 1.21  2007-05-11 22:29:27  qboosh
- updated to 0.9.14

Revision 1.20  2007/04/02 12:19:29  baggins
- rel 2

Revision 1.19  2007/02/12 22:09:12  glen
- tabs in preamble

Revision 1.18  2007/02/12 01:06:30  baggins
- converted to UTF-8

Revision 1.17  2007/02/03 14:54:34  qboosh
- updated to 0.9.13

Revision 1.16  2006/05/28 06:44:49  qboosh
- updated to 0.9.12

Revision 1.15  2006/01/16 21:12:05  qboosh
- updated to 0.9.11

Revision 1.14  2005/07/15 19:06:14  aredridel
- rel 2 for rebuild
- STBR

Revision 1.13  2005/06/10 04:40:20  aredridel
- up to 0.9.10

Revision 1.12  2005/05/20 04:24:07  aredridel
- up to 0.9.9

Revision 1.11  2005/04/15 23:48:08  qboosh
- updated to 0.9.8

Revision 1.10  2005/03/03 21:50:26  qboosh
- updated to 0.9.7

Revision 1.9  2005/02/06 22:37:51  aredridel
- up to 0.9.6

Revision 1.8  2005/01/22 00:04:07  qboosh
- updated to 0.9.5 (needs raptor 1.4.4), updated URLs

Revision 1.7  2004/12/25 18:04:57  qboosh
- automake epoch

Revision 1.6  2004/10/30 21:09:13  qboosh
- updated to 0.9.4 (crash and memory leak fixes)

Revision 1.5  2004/10/27 20:46:59  qboosh
- updated to 0.9.3, updated License

Revision 1.4  2004/08/04 20:34:55  qboosh
- updated to 0.9.2, build without redland (as redland requires rasqal now)

Revision 1.3  2004/07/03 20:09:35  qboosh
- updated to 0.9.1

Revision 1.2  2004/05/19 21:18:28  qboosh
- updated to 0.9.0, epoch 1
  (they claim that this "1.0" was 0.1.0 with near no functionality)

Revision 1.1  2003/10/08 21:42:50  qboosh
- new
